Loading...
Searching...
No Matches
TestSuite.cpp File Reference
`#include <cxxtest/TestSuite.h>`

Go to the source code of this file.

## Namespaces

namespace | CxxTest

## Macros

#define | __cxxtest__TestSuite_cpp__

## Functions

bool | CxxTest::abortTestOnFail ()
void | CxxTest::setAbortTestOnFail (bool value)
void | CxxTest::doAbortTest ()
unsigned | CxxTest::maxDumpSize ()
void | CxxTest::setMaxDumpSize (unsigned value)
void | CxxTest::doTrace (const char *file, unsigned line, const char *message)
void | CxxTest::doWarn (const char *file, unsigned line, const char *message)
void | CxxTest::doFailTest (const char *file, unsigned line, const char *message)
void | CxxTest::doFailAssert (const char *file, unsigned line, const char *expression, const char *message)
bool | CxxTest::sameData (const void *x, const void *y, unsigned size)
void | CxxTest::doAssertSameData (const char *file, unsigned line, const char *xExpr, const void *x, const char *yExpr, const void *y, const char *sizeExpr, unsigned size, const char *message)
void | CxxTest::doFailAssertThrows (const char *file, unsigned line, const char *expr, const char *type, bool otherThrown, const char *message)
void | CxxTest::doFailAssertThrowsNot (const char *file, unsigned line, const char *expression, const char *message)

## Variables

static bool | CxxTest::currentAbortTestOnFail = false
static unsigned | CxxTest::currentMaxDumpSize = CXXTEST_MAX_DUMP_SIZE

## Macro Definition Documentation

## __cxxtest__TestSuite_cpp__

#define __cxxtest__TestSuite_cpp__

Definition at line 2 of file TestSuite.cpp.